# Class PaymentAccountList

#### Hierarchy

- unknown
  - PaymentAccountList

- Defined in src/protobuf/pb_pb.d.ts:5812
- Defined in src/protobuf/pb_pb.d.ts:5826

#####
Index

### Constructors

constructor

### Methods

addPaymentAccount
clearPaymentAccountList
getPaymentAccountList
serializeBinary
setPaymentAccountList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PaymentAccountList(): PaymentAccountList

- #### Returns PaymentAccountList

  Inherited from jspb.Message.constructor

## Methods

### addPaymentAccount

- addPaymentAccount(value?: PaymentAccount, index?: number): PaymentAccount

- #### Parameters

  - ##### `Optional` value: PaymentAccount

  - ##### `Optional` index: number

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:5816

### clearPaymentAccountList

- clearPaymentAccountList(): PaymentAccountList

- #### Returns PaymentAccountList

  - Defined in src/protobuf/pb_pb.d.ts:5815

### getPaymentAccountList

- getPaymentAccountList(): PaymentAccount[]

- #### Returns PaymentAccount[]

  - Defined in src/protobuf/pb_pb.d.ts:5813

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5818

### setPaymentAccountList

- setPaymentAccountList(value: PaymentAccount[]): PaymentAccountList

- #### Parameters

  - ##### value: PaymentAccount[]

  #### Returns PaymentAccountList

  - Defined in src/protobuf/pb_pb.d.ts:5814

### toObject

- toObject(includeInstance?: boolean): PaymentAccountList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PaymentAccountList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5819

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccountList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccountList

  - Defined in src/protobuf/pb_pb.d.ts:5822

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccountList, reader: BinaryReader): PaymentAccountList

- #### Parameters

  - ##### message: PaymentAccountList

  - ##### reader: BinaryReader

  #### Returns PaymentAccountList

  - Defined in src/protobuf/pb_pb.d.ts:5823

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccountList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PaymentAccountList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5821

### `Static` toObject

- toObject(includeInstance: boolean, msg: PaymentAccountList): PaymentAccountList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccountList

  #### Returns PaymentAccountList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5820

Generated using TypeDoc